# $Revision: 1.81 $, $Date: 2010/05/12 16:51:31 $
#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
%bcond_without	usb		# support for libusb input
#
Summary:	GNOME Onscreen Keyboard
Summary(pl.UTF-8):	Klawiatura na ekranie dla GNOME
Name:		gok
Version:	2.30.0
Release:	1
License:	LGPL v2+
Group:		X11/Applications/Accessibility
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gok/2.30/%{name}-%{version}.tar.bz2
# Source0-md5:	853c7825eb62d7c425f5a0efdc07412a
URL:		http://www.gok.ca/
BuildRequires:	GConf2-devel >= 2.24.0
BuildRequires:	ORBit2-devel >= 1:2.14.9
BuildRequires:	at-spi-devel >= 1.24.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
BuildRequires:	esound-devel >= 0.2.37
BuildRequires:	gettext-devel
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gnome-speech-devel >= 0.4.16
BuildRequires:	gtk+2-devel >= 2:2.18.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.8}
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libbonobo-devel >= 2.24.0
BuildRequires:	libcanberra-gtk-devel >= 0.3
BuildRequires:	libtool
%{?with_usb:BuildRequires:	libusb-compat-devel}
BuildRequires:	libwnck-devel >= 2.24.0
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	scrollkeeper >= 0.3.14
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libXi-devel
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The gok project aims to enable users to control their computer without
having to rely on a standard keyboard or mouse. Many individuals must
control the computer using alternative input methods. Using innovative
dynamic keyboard strategies, and leveraging GNOME 2's built-in
accessibility framework, the gok will make control more efficient and
enable use of the GNOME 2 desktop. With the right hardware support and
the gok individuals will have full access to applications that support
the AT SPI, and therefore, full access to the functionality these
applications provide.

%description -l pl.UTF-8
Celem projektu gok jest umożliwienie użytkownikom sterowania ich
komputerem bez konieczności używania standardowej klawiatury ani
myszy. Wiele osób musi sterować komputerem przy użyciu alternatywnych
metod wejściowych. Przy użyciu innowacyjnych strategii dynamicznej
klawiatury oraz wbudowanego szkieletu mechanizmów dostępności w GNOME
2, gok będzie umożliwiał bardziej wydajne sterowanie i pozwoli na
używanie pulpitu GNOME 2. Przy odpowiednim wsparciu ze strony sprzętu,
użytkownicy gok uzyskają pełny dostęp do aplikacji obsługujących AT
SPI, a przez to pełny dostęp do funkcjonalności dostarczanych przez te
aplikacje.

%package apidocs
Summary:	gok API documentation
Summary(pl.UTF-8):	Dokumentacja API gok
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
gok API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API gok.

%prep
%setup -q

sed -i -e 's/en@shaw//' po/LINGUAS
rm -f po/en@shaw.po

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-html-dir=%{_gtkdocdir} \
	--disable-schemas-install \
	--disable-silent-rules \
	%{?with_usb:--enable-libusb-input} \
	--%{?with_apidocs:en}%{!?with_apidocs:dis}able-gtk-doc
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

if [ -f C/main.kbd ]; then
	mv C/*.kbd .
fi
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}}

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install gok.schemas
%scrollkeeper_update_post
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall gok.schemas

%postun
%scrollkeeper_update_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/create-branching-keyboard
%attr(755,root,root) %{_bindir}/gok
%{_libdir}/bonobo/servers/GNOME_Gok.server
%{_datadir}/%{name}
%{_pkgconfigdir}/gok-1.0.pc
%{_sysconfdir}/gconf/schemas/gok.schemas
%{_iconsdir}/hicolor/*/apps/gok.png
%{_pixmapsdir}/*
%{_desktopdir}/gok.desktop
%{_datadir}/sounds/freedesktop/stereo/*.wav

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gok
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gok.spec,v $
Revision 1.81  2010/05/12 16:51:31  megabajt
- updated to 2.30.0

Revision 1.80  2009/11/27 13:19:15  sparky
- BR: docbook-dtd412-xml
- drop BR: xorg-lib-libXevie-devel

Revision 1.79  2009/03/18 22:34:30  patrys
- 2.26.0

Revision 1.78  2009/03/13 23:03:08  megabajt
- use X11/Applications/Accessibility group

Revision 1.77  2009/02/04 13:03:28  hawk
- BR libusb-compat to make it work with libusb 1.0.0

Revision 1.76  2009/01/27 22:13:33  hawk
- release 2

Revision 1.75  2008/09/29 15:53:11  megabajt
- updated to 2.24.0

Revision 1.74  2008/07/16 22:15:51  megabajt
- updated to 1.4.0

Revision 1.73  2008/05/31 14:13:44  qboosh
- scrollkeeper calls

Revision 1.72  2008-04-04 01:36:31  sls
- rel. 1
- workaround for (probably) new intltool

Revision 1.71  2008-04-04 00:48:03  sls
- added bcond usb
- BR: GConf2-devel

Revision 1.70  2008-04-04 00:44:26  sls
- removed build.patch

Revision 1.69  2008-04-04 00:40:47  sls
- ver. 1.3.7 (NFY)

Revision 1.68  2007-11-27 20:36:47  qboosh
- updated find_lang BR
- sed quotes

Revision 1.67  2007-11-16 16:02:33  megabajt
- use better way to fix locale name
- use --with-omf
- release 3

Revision 1.66  2007-11-04 23:10:25  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.65  2007/10/13 17:56:02  megabajt
- updated to 1.3.6
- added build patch

Revision 1.64  2007/09/18 17:01:59  megabajt
- updated to 1.3.4

Revision 1.63  2007/06/01 20:22:46  megabajt
- updated to 1.2.5
- desktop patch applied upstream
- added apidocs bcond

Revision 1.62  2007/03/15 13:13:03  megabajt
- updated to 1.2.3
- added apidocs subpackage

Revision 1.61  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.60  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.59  2006/11/07 22:26:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.58  2006/08/26 15:08:07  grzegol
- 1.2.0

Revision 1.57  2006/05/27 08:34:00  qboosh
- merged deps update from AC-branch

Revision 1.56  2006/05/16 16:46:40  qboosh
- removed obsolete rm

Revision 1.55  2006/05/16 16:46:13  qboosh
- updated to 1.0.10 (merged from AC-branch)

Revision 1.54.2.3  2006/05/18 22:42:40  baggins
- release 3
- strict reqs

Revision 1.54.2.2  2006/05/16 15:07:12  baggins
- release 2
- removed missing dir removal

Revision 1.54.2.1  2006/05/16 15:01:59  baggins
- up to 1.0.10

Revision 1.54  2005/09/06 23:18:05  aflinta
- 1.0.5

Revision 1.53  2005/06/26 00:16:45  zbyniu
- BR: gettext-devel

Revision 1.52  2005/04/08 11:41:24  paladine
- bumped BRs
- new style macros
- rel. 2, STBR

Revision 1.51  2005/03/24 10:25:41  paladine
- updated to 1.0.3
- proper license
- require some new stuff
- added some files to %%doc

Revision 1.50  2005/03/13 01:18:06  aflinta
- up to version 1.0.2

Revision 1.49  2005/02/25 14:36:49  paladine
- updated to 1.0.1
- missing BR: pkgconfig

Revision 1.48  2005/02/11 17:08:51  grzegol
- updated to 0.12.4

Revision 1.47  2005/02/08 15:42:44  grzegol
- updated to 0.12.3

Revision 1.46  2005/02/08 14:31:21  grzegol
- updated to 0.12.2

Revision 1.45  2005/01/20 18:12:36  paladine
- updated to 0.12.1, STBR

Revision 1.44  2005/01/12 22:17:11  paladine
- updated to 0.12.0, STBR

Revision 1.43  2004/12/08 10:26:37  paladine
- updated to 0.11.17 STBR

Revision 1.42  2004/11/05 16:00:51  paladine
- updated to 0.11.16 (bugfix release)

Revision 1.41  2004/11/05 09:20:47  paladine
- updated to 0.11.15

Revision 1.40  2004/11/01 20:31:55  grzegol
- updated to 0.11.14

Revision 1.39  2004/10/15 09:45:30  aflinta
- up to version 0.11.12

Revision 1.38  2004/10/07 17:17:33  grzegol
- updated to 0.11.10
- added buildfix patch

Revision 1.37  2004/10/01 13:40:39  paladine
- updated to 0.11.9
- added desktop patch

Revision 1.36  2004/09/15 17:31:23  grzegol
- merged 0.11.8 from DEVEL

Revision 1.35  2004/08/31 09:00:58  snurf
- typos / formatting / etc.

Revision 1.34.2.5  2004/09/10 15:31:54  grzegol
- updated to 0.11.8

Revision 1.34.2.4  2004/08/30 19:43:00  grzegol
- updated to 0.11.7
- removed outdated locale-names patch
- remove no locale in %%install

Revision 1.34.2.3  2004/08/21 15:35:46  aflinta
- added epoch to atk-devel

Revision 1.34.2.2  2004/08/16 21:23:44  aflinta
- up to version 0.11.6

Revision 1.34.2.1  2004/07/01 14:47:41  grzegol
- updated to 0.11.5

Revision 1.34  2004/04/19 17:49:27  grzegol
- updated to 0.10.2

Revision 1.33  2004/03/23 12:42:52  grzegol
- merged from DEVEL and updated to 0.10.0

Revision 1.32  2004/03/15 18:36:53  adamg
- reverted - 0.9.11 depends on gtk+2.3 (thanks grzegol)

Revision 1.31  2004/03/15 17:31:32  adamg
- BuildRequires: glib2-devel

Revision 1.30  2004/03/15 17:14:31  adamg
- updated to 0.9.11
- removed gok-install.patch

Revision 1.29.2.8  2004/03/15 18:03:47  grzegol
- updated to 0.9.11

Revision 1.29.2.7  2004/03/09 00:22:15  grzegol
- added BR: ORBit2-devel

Revision 1.29.2.6  2004/03/08 22:32:03  aflinta
- updated to version 0.9.10

Revision 1.29.2.5  2004/03/01 20:34:25  aflinta
- up to version 0.9.9

Revision 1.29.2.4  2004/02/24 22:36:40  grzegol
- updated to 0.9.8

Revision 1.29.2.3  2004/02/16 18:14:17  grzegol
- updated to 0.9.7
- removed gok-GNOME_Gok.server.in.in (Source1) - already in sources
- added locale-names patch (changes locale no -> nb)

Revision 1.29.2.2  2004/02/10 19:36:47  grzegol
- updated to 0.9.6
- added GNOME_Gok.server.in.in (this file is missing in tarball)

Revision 1.29.2.1  2004/01/12 19:44:28  grzegol
- updated to 0.9.5

Revision 1.29  2004/01/12 19:40:09  grzegol
- reverted last change (should be on DEVEL, because of BR gtk+2-devel >= 2.3.1)

Revision 1.28  2004/01/12 19:07:42  grzegol
- updated to 0.9.5

Revision 1.27  2003/12/28 18:30:50  grzegol
- updated to 0.9.4
- removed outdated DESTDIR patch
- added xmldocs_make and install patches (fix building)
- regenerate gt/intl/lt/al/ac/am

Revision 1.26  2003/11/16 14:26:39  wiget
- 0.9.3

Revision 1.25  2003/11/11 01:12:29  ankry
- caps unification

Revision 1.24  2003/11/05 12:18:08  grzegol
- updated to 0.9.1

Revision 1.23  2003/10/29 18:10:28  grzegol
- updated to 0.8.4
- more BRs

Revision 1.22  2003/09/29 21:40:25  grzegol
- updated to 0.8.3

Revision 1.21  2003/09/12 20:47:03  grzegol
- updated to 0.8.2

Revision 1.20  2003/09/09 18:56:34  aflinta
- version 0.8.1

Revision 1.19  2003/09/09 04:40:02  aflinta
- version 0.8.0

Revision 1.18  2003/08/26 21:08:58  aflinta
- version 0.7.14

Revision 1.17  2003/08/26 20:31:20  ankry
- s/[Gg]nome/GNOME/

Revision 1.16  2003/08/19 07:18:02  aflinta
- version 0.7.13

Revision 1.15  2003/08/05 11:59:02  grzegol
- rel++ to rebuild without linc
- cosmetics/sorting/simplifications/etc.

Revision 1.14  2003/07/03 19:04:12  aflinta
- version 0.7.11

Revision 1.13  2003/07/01 21:57:26  aflinta
- version 0.7.10

Revision 1.12  2003/06/30 17:50:28  aflinta
- version 0.7.9

Revision 1.11  2003/06/30 14:03:48  aflinta
- version 0.7.8

Revision 1.10  2003/06/17 06:28:43  aflinta
- version 0.7.7

Revision 1.9  2003/06/06 20:47:16  aflinta
- version 0.7.5

Revision 1.8  2003/06/03 17:23:08  aflinta
- version 0.7.4

Revision 1.7  2003/05/26 16:25:07  malekith
- massive attack: adding Source-md5

Revision 1.6  2003/05/25 05:48:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/05/15 14:18:54  qboosh
- use find_lang for gnome/help files

Revision 1.4  2003/05/06 05:27:51  aflinta
- version 0.7.1

Revision 1.3  2003/04/07 19:04:34  aflinta
- updated to version 0.7.0

Revision 1.2  2003/03/27 22:06:06  qboosh
- pl description (blaa...)

Revision 1.1  2003/03/16 22:26:05  aflinta
- PLD initial release
